Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network245.72.0.0/13
Usable hosts524,286
Subnet mask255.248.0.0
Addresses524,288
Network address
245.72.0.0
Broadcast address
245.79.255.255
First usable
245.72.0.1
Last usable
245.79.255.254
Usable hosts
524,286 (524,288 less the network and broadcast addresses)
Subnet mask
255.248.0.0
Wildcard mask
0.7.255.255 (Cisco ACLs, OSPF)
Prefix length
/13
Type
Reserved 240.0.0.0/4
Future use; not usable on most systems
Old class
E (reserved)
As numbers
Hex F5480000 · Integer 4115136512 to 4115660799
Reverse DNS zones
72.245.in-addr.arpa
73.245.in-addr.arpa
74.245.in-addr.arpa
75.245.in-addr.arpa
76.245.in-addr.arpa
77.245.in-addr.arpa
78.245.in-addr.arpa
79.245.in-addr.arpa
/13 is not on a 8-bit boundary, so it takes 8 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11110101.01001000.00000000.00000000245.72.0.0
Subnet mask11111111.11111000.00000000.00000000255.248.0.0
Network11110101.01001000.00000000.00000000245.72.0.0
Broadcast11110101.01001111.11111111.11111111245.79.255.255
Split into smaller subnets/20

245.72.0.0/13 makes 128 subnets of /20.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1245.72.0.0/20245.72.0.1 to 245.72.15.254245.72.15.2554,094
2245.72.16.0/20245.72.16.1 to 245.72.31.254245.72.31.2554,094
3245.72.32.0/20245.72.32.1 to 245.72.47.254245.72.47.2554,094
4245.72.48.0/20245.72.48.1 to 245.72.63.254245.72.63.2554,094
5245.72.64.0/20245.72.64.1 to 245.72.79.254245.72.79.2554,094
6245.72.80.0/20245.72.80.1 to 245.72.95.254245.72.95.2554,094
7245.72.96.0/20245.72.96.1 to 245.72.111.254245.72.111.2554,094
8245.72.112.0/20245.72.112.1 to 245.72.127.254245.72.127.2554,094
9245.72.128.0/20245.72.128.1 to 245.72.143.254245.72.143.2554,094
10245.72.144.0/20245.72.144.1 to 245.72.159.254245.72.159.2554,094
11245.72.160.0/20245.72.160.1 to 245.72.175.254245.72.175.2554,094
12245.72.176.0/20245.72.176.1 to 245.72.191.254245.72.191.2554,094
13245.72.192.0/20245.72.192.1 to 245.72.207.254245.72.207.2554,094
14245.72.208.0/20245.72.208.1 to 245.72.223.254245.72.223.2554,094
15245.72.224.0/20245.72.224.1 to 245.72.239.254245.72.239.2554,094
16245.72.240.0/20245.72.240.1 to 245.72.255.254245.72.255.2554,094
17245.73.0.0/20245.73.0.1 to 245.73.15.254245.73.15.2554,094
18245.73.16.0/20245.73.16.1 to 245.73.31.254245.73.31.2554,094
19245.73.32.0/20245.73.32.1 to 245.73.47.254245.73.47.2554,094
20245.73.48.0/20245.73.48.1 to 245.73.63.254245.73.63.2554,094
21245.73.64.0/20245.73.64.1 to 245.73.79.254245.73.79.2554,094
22245.73.80.0/20245.73.80.1 to 245.73.95.254245.73.95.2554,094
23245.73.96.0/20245.73.96.1 to 245.73.111.254245.73.111.2554,094
24245.73.112.0/20245.73.112.1 to 245.73.127.254245.73.127.2554,094
25245.73.128.0/20245.73.128.1 to 245.73.143.254245.73.143.2554,094
26245.73.144.0/20245.73.144.1 to 245.73.159.254245.73.159.2554,094
27245.73.160.0/20245.73.160.1 to 245.73.175.254245.73.175.2554,094
28245.73.176.0/20245.73.176.1 to 245.73.191.254245.73.191.2554,094
29245.73.192.0/20245.73.192.1 to 245.73.207.254245.73.207.2554,094
30245.73.208.0/20245.73.208.1 to 245.73.223.254245.73.223.2554,094
31245.73.224.0/20245.73.224.1 to 245.73.239.254245.73.239.2554,094
32245.73.240.0/20245.73.240.1 to 245.73.255.254245.73.255.2554,094
33245.74.0.0/20245.74.0.1 to 245.74.15.254245.74.15.2554,094
34245.74.16.0/20245.74.16.1 to 245.74.31.254245.74.31.2554,094
35245.74.32.0/20245.74.32.1 to 245.74.47.254245.74.47.2554,094
36245.74.48.0/20245.74.48.1 to 245.74.63.254245.74.63.2554,094
37245.74.64.0/20245.74.64.1 to 245.74.79.254245.74.79.2554,094
38245.74.80.0/20245.74.80.1 to 245.74.95.254245.74.95.2554,094
39245.74.96.0/20245.74.96.1 to 245.74.111.254245.74.111.2554,094
40245.74.112.0/20245.74.112.1 to 245.74.127.254245.74.127.2554,094
41245.74.128.0/20245.74.128.1 to 245.74.143.254245.74.143.2554,094
42245.74.144.0/20245.74.144.1 to 245.74.159.254245.74.159.2554,094
43245.74.160.0/20245.74.160.1 to 245.74.175.254245.74.175.2554,094
44245.74.176.0/20245.74.176.1 to 245.74.191.254245.74.191.2554,094
45245.74.192.0/20245.74.192.1 to 245.74.207.254245.74.207.2554,094
46245.74.208.0/20245.74.208.1 to 245.74.223.254245.74.223.2554,094
47245.74.224.0/20245.74.224.1 to 245.74.239.254245.74.239.2554,094
48245.74.240.0/20245.74.240.1 to 245.74.255.254245.74.255.2554,094
49245.75.0.0/20245.75.0.1 to 245.75.15.254245.75.15.2554,094
50245.75.16.0/20245.75.16.1 to 245.75.31.254245.75.31.2554,094
51245.75.32.0/20245.75.32.1 to 245.75.47.254245.75.47.2554,094
52245.75.48.0/20245.75.48.1 to 245.75.63.254245.75.63.2554,094
53245.75.64.0/20245.75.64.1 to 245.75.79.254245.75.79.2554,094
54245.75.80.0/20245.75.80.1 to 245.75.95.254245.75.95.2554,094
55245.75.96.0/20245.75.96.1 to 245.75.111.254245.75.111.2554,094
56245.75.112.0/20245.75.112.1 to 245.75.127.254245.75.127.2554,094
57245.75.128.0/20245.75.128.1 to 245.75.143.254245.75.143.2554,094
58245.75.144.0/20245.75.144.1 to 245.75.159.254245.75.159.2554,094
59245.75.160.0/20245.75.160.1 to 245.75.175.254245.75.175.2554,094
60245.75.176.0/20245.75.176.1 to 245.75.191.254245.75.191.2554,094
61245.75.192.0/20245.75.192.1 to 245.75.207.254245.75.207.2554,094
62245.75.208.0/20245.75.208.1 to 245.75.223.254245.75.223.2554,094
63245.75.224.0/20245.75.224.1 to 245.75.239.254245.75.239.2554,094
64245.75.240.0/20245.75.240.1 to 245.75.255.254245.75.255.2554,094
65245.76.0.0/20245.76.0.1 to 245.76.15.254245.76.15.2554,094
66245.76.16.0/20245.76.16.1 to 245.76.31.254245.76.31.2554,094
67245.76.32.0/20245.76.32.1 to 245.76.47.254245.76.47.2554,094
68245.76.48.0/20245.76.48.1 to 245.76.63.254245.76.63.2554,094
69245.76.64.0/20245.76.64.1 to 245.76.79.254245.76.79.2554,094
70245.76.80.0/20245.76.80.1 to 245.76.95.254245.76.95.2554,094
71245.76.96.0/20245.76.96.1 to 245.76.111.254245.76.111.2554,094
72245.76.112.0/20245.76.112.1 to 245.76.127.254245.76.127.2554,094
73245.76.128.0/20245.76.128.1 to 245.76.143.254245.76.143.2554,094
74245.76.144.0/20245.76.144.1 to 245.76.159.254245.76.159.2554,094
75245.76.160.0/20245.76.160.1 to 245.76.175.254245.76.175.2554,094
76245.76.176.0/20245.76.176.1 to 245.76.191.254245.76.191.2554,094
77245.76.192.0/20245.76.192.1 to 245.76.207.254245.76.207.2554,094
78245.76.208.0/20245.76.208.1 to 245.76.223.254245.76.223.2554,094
79245.76.224.0/20245.76.224.1 to 245.76.239.254245.76.239.2554,094
80245.76.240.0/20245.76.240.1 to 245.76.255.254245.76.255.2554,094
81245.77.0.0/20245.77.0.1 to 245.77.15.254245.77.15.2554,094
82245.77.16.0/20245.77.16.1 to 245.77.31.254245.77.31.2554,094
83245.77.32.0/20245.77.32.1 to 245.77.47.254245.77.47.2554,094
84245.77.48.0/20245.77.48.1 to 245.77.63.254245.77.63.2554,094
85245.77.64.0/20245.77.64.1 to 245.77.79.254245.77.79.2554,094
86245.77.80.0/20245.77.80.1 to 245.77.95.254245.77.95.2554,094
87245.77.96.0/20245.77.96.1 to 245.77.111.254245.77.111.2554,094
88245.77.112.0/20245.77.112.1 to 245.77.127.254245.77.127.2554,094
89245.77.128.0/20245.77.128.1 to 245.77.143.254245.77.143.2554,094
90245.77.144.0/20245.77.144.1 to 245.77.159.254245.77.159.2554,094
91245.77.160.0/20245.77.160.1 to 245.77.175.254245.77.175.2554,094
92245.77.176.0/20245.77.176.1 to 245.77.191.254245.77.191.2554,094
93245.77.192.0/20245.77.192.1 to 245.77.207.254245.77.207.2554,094
94245.77.208.0/20245.77.208.1 to 245.77.223.254245.77.223.2554,094
95245.77.224.0/20245.77.224.1 to 245.77.239.254245.77.239.2554,094
96245.77.240.0/20245.77.240.1 to 245.77.255.254245.77.255.2554,094
97245.78.0.0/20245.78.0.1 to 245.78.15.254245.78.15.2554,094
98245.78.16.0/20245.78.16.1 to 245.78.31.254245.78.31.2554,094
99245.78.32.0/20245.78.32.1 to 245.78.47.254245.78.47.2554,094
100245.78.48.0/20245.78.48.1 to 245.78.63.254245.78.63.2554,094
101245.78.64.0/20245.78.64.1 to 245.78.79.254245.78.79.2554,094
102245.78.80.0/20245.78.80.1 to 245.78.95.254245.78.95.2554,094
103245.78.96.0/20245.78.96.1 to 245.78.111.254245.78.111.2554,094
104245.78.112.0/20245.78.112.1 to 245.78.127.254245.78.127.2554,094
105245.78.128.0/20245.78.128.1 to 245.78.143.254245.78.143.2554,094
106245.78.144.0/20245.78.144.1 to 245.78.159.254245.78.159.2554,094
107245.78.160.0/20245.78.160.1 to 245.78.175.254245.78.175.2554,094
108245.78.176.0/20245.78.176.1 to 245.78.191.254245.78.191.2554,094
109245.78.192.0/20245.78.192.1 to 245.78.207.254245.78.207.2554,094
110245.78.208.0/20245.78.208.1 to 245.78.223.254245.78.223.2554,094
111245.78.224.0/20245.78.224.1 to 245.78.239.254245.78.239.2554,094
112245.78.240.0/20245.78.240.1 to 245.78.255.254245.78.255.2554,094
113245.79.0.0/20245.79.0.1 to 245.79.15.254245.79.15.2554,094
114245.79.16.0/20245.79.16.1 to 245.79.31.254245.79.31.2554,094
115245.79.32.0/20245.79.32.1 to 245.79.47.254245.79.47.2554,094
116245.79.48.0/20245.79.48.1 to 245.79.63.254245.79.63.2554,094
117245.79.64.0/20245.79.64.1 to 245.79.79.254245.79.79.2554,094
118245.79.80.0/20245.79.80.1 to 245.79.95.254245.79.95.2554,094
119245.79.96.0/20245.79.96.1 to 245.79.111.254245.79.111.2554,094
120245.79.112.0/20245.79.112.1 to 245.79.127.254245.79.127.2554,094
121245.79.128.0/20245.79.128.1 to 245.79.143.254245.79.143.2554,094
122245.79.144.0/20245.79.144.1 to 245.79.159.254245.79.159.2554,094
123245.79.160.0/20245.79.160.1 to 245.79.175.254245.79.175.2554,094
124245.79.176.0/20245.79.176.1 to 245.79.191.254245.79.191.2554,094
125245.79.192.0/20245.79.192.1 to 245.79.207.254245.79.207.2554,094
126245.79.208.0/20245.79.208.1 to 245.79.223.254245.79.223.2554,094
127245.79.224.0/20245.79.224.1 to 245.79.239.254245.79.239.2554,094
128245.79.240.0/20245.79.240.1 to 245.79.255.254245.79.255.2554,094

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses